SYD-KEY(1)

# NAME

syd-key - Utility to generate AES-CTR Key and IV

# SYNOPSIS

*syd-key* _[-h]_

# DESCRIPTION

The *syd-key* utility generates random 256-bit AES-CTR keys using Linux
Kernel's random number generator. The key is printed as a hexadecimal
string prefixed with the prefix "crpyt/key:". As such the output is
suitable to append into a Syd configuration file.

# OPTIONS

|[ *-h*
:< Display help.

# SEE ALSO

_syd_(1), _syd_(2), _syd_(5), _syd-aes_(1)

*syd* homepage: https://sydbox.exherbolinux.org/

# AUTHORS

Maintained by Ali Polatel. Up-to-date sources can be found at
https://gitlab.exherbo.org/sydbox/sydbox.git and bugs/patches can be
submitted to https://gitlab.exherbo.org/groups/sydbox/-/issues. Discuss
in #sydbox on Libera Chat.
